var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", 'react', '../../../../common/BaseComponent', '../../../../index'], function (require, exports, React, BaseComponent_1, index_1) {
    "use strict";
    var TooltipBasicExample = (function (_super) {
        __extends(TooltipBasicExample, _super);
        function TooltipBasicExample() {
            _super.apply(this, arguments);
        }
        TooltipBasicExample.prototype.render = function () {
            return (React.createElement(index_1.TooltipHost, {content: 'This is the tooltip'}, 
                React.createElement(index_1.Button, null, "Hover Over Me")
            ));
        };
        return TooltipBasicExample;
    }(BaseComponent_1.BaseComponent));
    exports.TooltipBasicExample = TooltipBasicExample;
});
